// Generator created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;


int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int sl = opt<int>("s");
	int tl = opt<int>("t");
	int cn = opt<int>("c");

	vector<char> chars(26);
	iota(chars.begin(), chars.end(), 'a');
	shuffle(chars.begin(), chars.end());

	string s = "";
	for (int i = 0; i < sl; ++i) {
		s += chars[rnd.next(cn)];
	}

	string mems = s;

	int x = rnd.next(sl);
	while (true) {
		char c = chars[rnd.next(max(cn, 2))];
		if (s[x] != c) {
			s[x] = c;
			break;
		}
	}

	vector<char> part1((tl - sl) / 2, mems[x]);
	vector<char> part2((tl - sl + 1) / 2, mems[x]);

	s.insert(s.begin() + x + 1, part1.begin(), part1.end());
	s.insert(s.begin() + x, part2.begin(), part2.end());

	cout << mems << "\n" << s << "\n";

	return 0;
}