// Generator created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;


int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int n = opt<int>("n");
	int m = opt<int>("m");
	int c = opt<int>("c");
	int mess = 0;
	if (__testlib_opts.count("mess")) {
		mess = opt<int>("mess");
	}

	vector<char> chars(26);
	iota(chars.begin(), chars.end(), 'a');
	shuffle(chars.begin(), chars.end());
	chars.resize(c);

	if (__testlib_opts.count("group3")) {
		chars = {'a'};
	}

	vector<int> order(n);
	iota(order.begin(), order.end(), 0);
	shuffle(order.begin(), order.end());

	cout << n << " " << m + mess << "\n";

	for (int i = 0; i < m; ++i) {
		int a, b;
		do {
			a = rnd.next(n);
			b = rnd.next(n);
		} while (a >= b);

		cout << order[a] + 1 << " " << order[b] + 1 << " " << chars[rnd.next(c)] << "\n";
	}

	for (int i = 0; i < mess; ++i) {
		int a = rnd.next(n);
		int b = rnd.next(n);
		cout << a + 1 << " " << b + 1 << " " << chars[rnd.next(c)] << "\n";
	}

	return 0;
}