#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);
    int g = validator.group() == "" ? 5 : validator.group()[0] - '0';

    int limit = 1e9;
    int n = inf.readInt(1, 100000, "n");
    inf.readSpace();
    int k = inf.readInt(1, limit, "k");
    inf.readEoln();

    if (g == 1) {
        ensuref(n <= 20, "Group 1 'n <= 20' constraint failed for n = %d", n);
    } else if (g == 2) {
        ensuref(n <= 1000, "Group 1 'n <= 1000' constraint failed for n = %d", n);
        ensuref(k <= 1000, "Group 2 'k <= 1000' constraint failed for k = %d", k);
        limit = 1000;
    }

    for (int i = 0; i < n; i++) {
        if (i > 0) {
            inf.readSpace();
        }
        inf.readInt(1, limit, "a_i");
    }

    inf.readEoln();
    inf.readEof();
}