#include <iostream>
#include <vector>
#include <unordered_set>

using namespace std;

unsigned int res = 100000;

void gen(vector<unsigned int> const &a, unsigned int k, unsigned int i, unordered_multiset<unsigned int> &t) {
    if (i == a.size()) {
        res = min(res, a.size() - t.size());
    } else {
        gen(a, k, i + 1, t);
        if (t.count(k - a[i]) == 0) {
            t.insert(a[i]);
            gen(a, k, i + 1, t);
            t.erase(t.find(a[i]));
        }
    }
}

int main() {

    unsigned int n, k;
    cin >> n >> k;
    vector<unsigned int> a(n);
    for (unsigned int i = 0; i < n; i++) {
        cin >> a[i];
    }

    unordered_multiset<unsigned int> t;
    gen(a, k, 0, t);
    cout << res << '\n';

}