// Checker created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;



int main(int argc, char* argv[]) {
	setName("compare two outputs");
	registerTestlibCmd(argc, argv);

	string s = inf.readToken();
	string t = inf.readToken();

	int x = ouf.readInt(1, szof(s)) - 1;
	char c = ouf.readToken("[a-z]")[0];

	if (s[x] == c) {
		quitf(_wa, "s[x] is equal to c ('%c')", c);
	}

	s[x] = c;

	int pos = 0;
	for (char cc : s) {
		while (pos < szof(t) && t[pos] != cc) {
			++pos;
		}

		if (pos == szof(t)) {
			quitf(_wa, "s with replaced character isn't a subsequence of t");
		}
		++pos;
	}

	quitf(_ok, "x = %d, c = %c", x + 1, c);

	return 0;
}